Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233028

Summary: taskjuggler does not build correctly with %{?_smp_mflags}
Product: Red Hat Enterprise Linux 5 Reporter: Jos Vos <jos>
Component: taskjugglerAssignee: Ondrej Vasik <ovasik>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.0CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-11 09:18:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jos Vos 2007-03-19 22:49:11 UTC
Description of problem:
When building the taskjuggler RPM on a 4-CPU system, the build fails with:

Working on: /home/xos/rpm09/BUILD/taskjuggler-2.2.0/docs/en/taskjuggler.xml
Using catalogs: /etc/sgml/xml-docbook-4.3-1.0-30.1.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#print
Working on: /home/xos/rpm09/BUILD/taskjuggler-2.2.0/docs/en/taskjuggler.xml
Done.
cat: taskjuggler.tmp: No such file or directory
rm: cannot remove `taskjuggler.tmp': No such file or directory
make[3]: *** [taskjuggler.pdf] Error 9
make[3]: *** Waiting for unfinished jobs....

Version-Release number of selected component (if applicable):
2.2.0-3

How reproducible:
Rebuild the src.rpm on a multi-CPU system (at least it fails on my 4-CPU system).

Solution:
Remove the %{?_smp_mflags} after "make".

Comment 1 Ondrej Vasik 2007-06-07 09:33:13 UTC
The same occurs even on the single-cpu system and for all Fedora build versions
on my PC. It seems that there is some problem with documentation compile while
using %{?_smp_mflags}. With --disable-docs in %configure (and removed
documentation files from %files) of spec file is the build without problem on my
machine, so it seems that it has something to do with docbook-utils/jadetex. 

Comment 2 RHEL Product and Program Management 2007-12-03 20:41:41 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 9 errata-xmlrpc 2009-11-11 09:18:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1576.html